Bug 56703 - Using strace on smbd hangs kernel
Using strace on smbd hangs kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
low Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-25 16:19 EST by peter.benie
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.benie 2001-11-25 16:19:34 EST
Description of problem:
Using strace on a running smbd process will cause the kernel to hang. (No
response to ping, no response to keyboard, no response to Ctrl-Alt-Del.)

Version-Release number of selected component (if applicable):
kernel-smp-2.2.19-6.2.12.i686
strace-4.2-1.386.

How reproducible:
Always
(But I only tried twice.)

Steps to Reproduce:
1. Run smbd
2. Pick a pid of of a child process to trace (ie. one running as a user,
not as root)
3. As root, strace -f <pid>, or strace -f <pid> -o <file>
	

Actual Results:  The first time, this gave "eh? notify_parent with state
0?" (see kernel/signal.c:613 notify_parent in kernel 2.2.19-6.2.12),
followed by a hang. This log event did not make it to disk.
The second time, the kernel just hanged.

Additional info:

1) The machine on which this is running is a twin processor Pentium III
(Coppermine) 600MHz running the SMP kernel and the following modules:
nfsd, lockd, sunrpc, autofs, 3c59x, eepro100, st, raid5, raid1, aic7xxx.

2) At the time of the crashes, the machine was lightly loaded.

3) I have not tested with strace as a normal user, only as root, therefore
I don't know if this is a potential DoS. (At 30-40 minutes per reboot, I'm
not
keen on performing very many experiments!)
Comment 1 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.